freedombone-dhparam(1)

NAME
freedombone-shparam - Create or re-calculate Diffie-Hellman parameters

SYNOPSIS
freedombone-dhparam -h [hostname] -l [key length in bits] --recalc [yes|no] --fast [yes|no]

DESCRIPTION
Either creates or recalculates Diffie-Hellman parameters.

USAGE
Typical usage is:
    freedombone-dhparam -h [hostname] Optionally you can also specify the key length. The default key length is 2048 bits.
    freedombone-dhparam -h [hostname] -l 4096 Another option can greatly speed up the calculation. However, it's unknown what implications this has for security (see the dsaparam option of openssl).
    freedombone-dhparam -h [hostname] -l 4096 --fast yes Or to recalculate all diffie-hellman parameters:
    freedombone-dhparam --recalc yes

BUGS
Report bugs at https://github.com/bashrc/freedombone/issues

AUTHOR
Bob Mottram <bob@robotics.uk.to>
PGP/GPG: EA982E38
Bitmessage: BM-2cWuhmBvVdfrHhLoZTdspCkKeiTorUesSL
Web: http://robotics.uk.to